
QGIS Application - Bug report #20318

Crash when using the snap geometries to layer tool

2018-11-01 04:00 PM - Buckman Oppong

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28139

Description

User Feedback

Report Details

Crash ID: d74e1ac9bfa69b94c3b89fbe1f704a225b244d4e

Stack Trace

QgsCurvePolygon::vertexAt :

QgsGeometryCollection::vertexAt :

QgsGeometrySnapper::snapGeometry :

QgsInternalGeometrySnapper::snapFeature :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> >

>::~_String_alloc<std::_String_base_types<char,std::allocator<char> > > :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600
History

#1 - 2018-11-02 09:59 AM - Giovanni Manghi

- Category changed from Vectors to Processing/QGIS

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

1) Try with a new/clean profile

2) Attach here sample data and specify the parameters used

#2 - 2018-11-02 12:24 PM - Matthias Kuhn

- Subject changed from SNAP GEOMERIES TO LAYER TOOL CRASH to Crash when using the snap geometries to layer tool

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-12-24 09:13 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
